"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const typegoose_1 = require("@typegoose/typegoose");
const MongoDB = tslib_1.__importStar(require("./mongodb"));
exports.default = {
    MongoDBModels: {
        Customer: (0, typegoose_1.getModelForClass)(MongoDB.Customer),
        CustomerPortal: (0, typegoose_1.getModelForClass)(MongoDB.CustomerPortal),
        ExecutiveOrder: (0, typegoose_1.getModelForClass)(MongoDB.ExecutiveOrder),
        File: (0, typegoose_1.getModelForClass)(MongoDB.File),
        Inquiry: (0, typegoose_1.getModelForClass)(MongoDB.Inquiry),
        Judgement: (0, typegoose_1.getModelForClass)(MongoDB.Judgement),
        Member: (0, typegoose_1.getModelForClass)(MongoDB.Member),
        Merchant: (0, typegoose_1.getModelForClass)(MongoDB.Merchant),
        Moderation: (0, typegoose_1.getModelForClass)(MongoDB.Moderation),
        Motion: (0, typegoose_1.getModelForClass)(MongoDB.Motion),
        Note: (0, typegoose_1.getModelForClass)(MongoDB.Note),
        PagerNumber: (0, typegoose_1.getModelForClass)(MongoDB.PagerNumber),
        Proclamation: (0, typegoose_1.getModelForClass)(MongoDB.Proclamation),
        Promo: (0, typegoose_1.getModelForClass)(MongoDB.Promo),
        Rank: (0, typegoose_1.getModelForClass)(MongoDB.Rank),
        Redirect: (0, typegoose_1.getModelForClass)(MongoDB.Redirect),
        Resolution: (0, typegoose_1.getModelForClass)(MongoDB.Resolution),
        SAA: (0, typegoose_1.getModelForClass)(MongoDB.SAA),
        Score: (0, typegoose_1.getModelForClass)(MongoDB.Score),
        ScoreHistorical: (0, typegoose_1.getModelForClass)(MongoDB.ScoreHistorical),
        Staff: (0, typegoose_1.getModelForClass)(MongoDB.Staff),
        Stat: (0, typegoose_1.getModelForClass)(MongoDB.Stat),
    },
    constants: {
        INQUIRY_TYPE: MongoDB.InqType,
    }
};
