import { prop } from '@typegoose/typegoose';

export default class ExecutiveOrder {
  @prop({ required: true })
  public issuer: string;

  @prop({ required: true })
  public subject: string;

  @prop({ required: true })
  public body: string;

  @prop({ required: true })
  public at: number;

  @prop({ required: true, unique: true })
  public oID: string;

  @prop({ required: true, unique: true })
  public msg: string;
}

