"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InqType = void 0;
const tslib_1 = require("tslib");
const typegoose_1 = require("@typegoose/typegoose");
const Score_1 = tslib_1.__importDefault(require("./Score"));
var InqType;
(function (InqType) {
    InqType[InqType["Hard"] = 0] = "Hard";
    InqType[InqType["Soft"] = 1] = "Soft";
})(InqType = exports.InqType || (exports.InqType = {}));
class Inquiry {
}
tslib_1.__decorate([
    (0, typegoose_1.prop)({ required: true }),
    tslib_1.__metadata("design:type", String)
], Inquiry.prototype, "iid", void 0);
tslib_1.__decorate([
    (0, typegoose_1.prop)({ required: true }),
    tslib_1.__metadata("design:type", String)
], Inquiry.prototype, "userID", void 0);
tslib_1.__decorate([
    (0, typegoose_1.prop)({ required: true }),
    tslib_1.__metadata("design:type", Number)
], Inquiry.prototype, "type", void 0);
tslib_1.__decorate([
    (0, typegoose_1.prop)({ required: true }),
    tslib_1.__metadata("design:type", String)
], Inquiry.prototype, "name", void 0);
tslib_1.__decorate([
    (0, typegoose_1.prop)(),
    tslib_1.__metadata("design:type", String)
], Inquiry.prototype, "reason", void 0);
tslib_1.__decorate([
    (0, typegoose_1.prop)({ required: true }),
    tslib_1.__metadata("design:type", Date)
], Inquiry.prototype, "date", void 0);
tslib_1.__decorate([
    (0, typegoose_1.prop)(),
    tslib_1.__metadata("design:type", Score_1.default)
], Inquiry.prototype, "report", void 0);
exports.default = Inquiry;
