"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModType = void 0;
const tslib_1 = require("tslib");
const typegoose_1 = require("@typegoose/typegoose");
var ModType;
(function (ModType) {
    ModType[ModType["Warn"] = 0] = "Warn";
    ModType[ModType["Unmute"] = 1] = "Unmute";
    ModType[ModType["Mute"] = 2] = "Mute";
    ModType[ModType["Kick"] = 3] = "Kick";
    ModType[ModType["Unban"] = 4] = "Unban";
    ModType[ModType["Ban"] = 5] = "Ban";
})(ModType = exports.ModType || (exports.ModType = {}));
class Moderation {
}
tslib_1.__decorate([
    (0, typegoose_1.prop)({ required: true }),
    tslib_1.__metadata("design:type", String)
], Moderation.prototype, "userID", void 0);
tslib_1.__decorate([
    (0, typegoose_1.prop)({ required: true }),
    tslib_1.__metadata("design:type", String)
], Moderation.prototype, "logID", void 0);
tslib_1.__decorate([
    (0, typegoose_1.prop)({ required: true }),
    tslib_1.__metadata("design:type", String)
], Moderation.prototype, "moderatorID", void 0);
tslib_1.__decorate([
    (0, typegoose_1.prop)(),
    tslib_1.__metadata("design:type", String)
], Moderation.prototype, "reason", void 0);
tslib_1.__decorate([
    (0, typegoose_1.prop)({ required: true }),
    tslib_1.__metadata("design:type", Date)
], Moderation.prototype, "date", void 0);
tslib_1.__decorate([
    (0, typegoose_1.prop)({ required: true }),
    tslib_1.__metadata("design:type", Number)
], Moderation.prototype, "type", void 0);
tslib_1.__decorate([
    (0, typegoose_1.prop)(),
    tslib_1.__metadata("design:type", Object)
], Moderation.prototype, "expiration", void 0);
exports.default = Moderation;
