import { getModelForClass as gm } from '@typegoose/typegoose';
import * as MongoDB from './mongodb';

export default {
  MongoDBModels: {
    Customer: gm(MongoDB.Customer),
    CustomerPortal: gm(MongoDB.CustomerPortal),
    ExecutiveOrder: gm(MongoDB.ExecutiveOrder),
    File: gm(MongoDB.File),
    Inquiry: gm(MongoDB.Inquiry),
    Judgement: gm(MongoDB.Judgement),
    Member: gm(MongoDB.Member),
    Merchant: gm(MongoDB.Merchant),
    Moderation: gm(MongoDB.Moderation),
    Motion: gm(MongoDB.Motion),
    Note: gm(MongoDB.Note),
    PagerNumber: gm(MongoDB.PagerNumber),
    Proclamation: gm(MongoDB.Proclamation),
    Promo: gm(MongoDB.Promo),
    Rank: gm(MongoDB.Rank),
    Redirect: gm(MongoDB.Redirect),
    Resolution: gm(MongoDB.Resolution),
    SAA: gm(MongoDB.SAA),
    Score: gm(MongoDB.Score),
    ScoreHistorical: gm(MongoDB.ScoreHistorical),
    Staff: gm(MongoDB.Staff),
    Stat: gm(MongoDB.Stat),
  },
  constants: {
    INQUIRY_TYPE: MongoDB.InqType,
  }
}
