import { prop } from '@typegoose/typegoose';
import { InqType } from './Inquiry';

export default class Merchant {
  @prop({ required: true })
  public name: string;

  @prop({ required: true })
  public key: string;

  @prop()
  public privileged: boolean;

  @prop({ required: true })
  public type: InqType;

  @prop({ default: [] })
  public pulls: [{ type: InqType, reason: string, date: Date }];
}
